<?php
class Mobile extends Page 
{
	function print_xhtml_header()
	{
		header("content-type:application/xhtml+xml");
		print '<?xml version="1.0"?>';
		print '<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.1//EN" ';
		print ' "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">';
	}

	function print_main_heading()
	{
		$this->print_xhtml_header();
?>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<link href="css/mstyle.css" rel="stylesheet" type="text/css"/>
		<title>Comgate</title>
	</head>
	<body>
		<div id="mainHead">Comgate</div>
<?php
	//ednokratno izvikvane na bazata danni
	$conn = Base::db_connect();
	if (!$conn) return print "Database error! Cannot connect to DB";
	}
	
	function print_footer()
	{
?>
	<?php //<div> <a href="javascript:history.go(-1)" style="-wap-accesskey:#" accesskey="#"># Back</a></div> ?>
	<div><a accesskey="0" style="-wap-accesskey:0" href="m-index.php">[0] Main</a></div>
	<div class="bottomtext">Copyright (c) 2007 PHS</div>
	</body>
</html>
<?php
	}
	
	function encode_cyr ($string)
{
$string = ereg_replace("ж","&#x0436;",$string);
$string = ereg_replace("ё","&#x0435;",$string);
$string = ereg_replace("й","&#x0439;",$string);
$string = ereg_replace("ю","&#x044e;",$string);
$string = ereg_replace("ь","&#x044c;",$string);
$string = ereg_replace("ч","&#x0447;",$string);
$string = ereg_replace("щ","&#x0449;",$string);
$string = ereg_replace("ц","&#x0446;",$string);
$string = ereg_replace("у","&#x0443;",$string);
$string = ereg_replace("к","&#x043a;",$string);
$string = ereg_replace("е","&#x0435;",$string);
$string = ereg_replace("н","&#x043d;",$string);
$string = ereg_replace("г","&#x0433;",$string);
$string = ereg_replace("ш","&#x0448;",$string);
$string = ereg_replace("з","&#x0437;",$string);
$string = ereg_replace("х","&#x0445;",$string);
$string = ereg_replace("ъ","&#x044a;",$string);
$string = ereg_replace("ф","&#x0444;",$string);
$string = ereg_replace("ы","&#x044b;",$string);
$string = ereg_replace("в","&#x0432;",$string);
$string = ereg_replace("а","&#x0430;",$string);
$string = ereg_replace("п","&#x043f;",$string);
$string = ereg_replace("р","&#x0440;",$string);
$string = ereg_replace("о","&#x043e;",$string);
$string = ereg_replace("л","&#x043b;",$string);
$string = ereg_replace("д","&#x0434;",$string);
$string = ereg_replace("э","&#x044d;",$string);
$string = ereg_replace("я","&#x044f;",$string);
$string = ereg_replace("с","&#x0441;",$string);
$string = ereg_replace("м","&#x043c;",$string);
$string = ereg_replace("и","&#x0438;",$string);
$string = ereg_replace("т","&#x0442;",$string);
$string = ereg_replace("б","&#x0431;",$string);
$string = ereg_replace("Ё","&#x0415;",$string);
$string = ereg_replace("Й","&#x0419;",$string);
$string = ereg_replace("Ю","&#x042e;",$string);
$string = ereg_replace("Ч","&#x0427;",$string);
$string = ereg_replace("Ь","&#x042c;",$string);
$string = ereg_replace("Щ","&#x0429;",$string);
$string = ereg_replace("Ц","&#x0426;",$string);
$string = ereg_replace("У","&#x0423;",$string);
$string = ereg_replace("К","&#x041a;",$string);
$string = ereg_replace("Е","&#x0415;",$string);
$string = ereg_replace("Н","&#x041d;",$string);
$string = ereg_replace("Г","&#x0413;",$string);
$string = ereg_replace("Ш","&#x0428;",$string);
$string = ereg_replace("З","&#x0417;",$string);
$string = ereg_replace("Х","&#x0425;",$string);
$string = ereg_replace("Ъ","&#x042a;",$string);
$string = ereg_replace("Ф","&#x0424;",$string);
$string = ereg_replace("Ы","&#x042b;",$string);
$string = ereg_replace("В","&#x0412;",$string);
$string = ereg_replace("А","&#x0410;",$string);
$string = ereg_replace("П","&#x041f;",$string);
$string = ereg_replace("Р","&#x0420;",$string);
$string = ereg_replace("О","&#x041e;",$string);
$string = ereg_replace("Л","&#x041b;",$string);
$string = ereg_replace("Д","&#x0414;",$string);
$string = ereg_replace("Ж","&#x0416;",$string);
$string = ereg_replace("Э","&#x042d;",$string);
$string = ereg_replace("Я","&#x042f;",$string);
$string = ereg_replace("С","&#x0421;",$string);
$string = ereg_replace("М","&#x041c;",$string);
$string = ereg_replace("И","&#x0418;",$string);
$string = ereg_replace("Т","&#x0422;",$string);
$string = ereg_replace("Б","&#x0411;",$string);
return $string;
}


function string2display($strToCheck)
{ 
	
	$strToCheck=Base::string2display($strToCheck);
	// Replace unsupported characters e.g. HTML code characters 

	$strToCheck=str_replace("&#8216;","&apos;",$strToCheck); 
	$strToCheck=str_replace("&#8217;","&apos;",$strToCheck); 
	$strToCheck=str_replace("&#8220;","&apos;",$strToCheck); 
	$strToCheck=str_replace("&#8221;","&apos;",$strToCheck); 
	$strToCheck=str_replace("&#8211;","-",$strToCheck); 
	$strToCheck=str_replace("&","&amp;",$strToCheck); 
	$strToCheck=str_replace("&#160;","&amp;",$strToCheck); 
	$strToCheck=str_replace("<","&lt;",$strToCheck); 
	$strToCheck=str_replace(">","&gt;",$strToCheck);
	$strToCheck=$this->encode_cyr($strToCheck);
	return $strToCheck; 
} 
	
	function print_categories()
{
	//ednokratno izvikvane na bazata danni
	//$conn = Base::db_connect();
	//if (!$conn) return print "Database error! Cannot connect to DB";
	$query=<<<HERE
SELECT 	name,category_ID 
FROM 	categories
WHERE	active='1'
ORDER BY category_ID;
HERE;
	$result = mysql_query($query);
	if (!$result) "DB problem in selecting categories";
	$num_results=mysql_num_rows($result);
	if(!$num_results) return print "Categories not found";
	else
	{
		print "<h3>Categories</h3>";
		for ($i=0; $i<$num_results;$i++)
		{
			$row=mysql_fetch_array($result);

			$name=$this->string2display($row['name']);
			$category_ID=$row['category_ID'];
			print "<a href=\"m-categories.php?id=$category_ID\">$name</a>";
			($i==$num_results-1)?($separator="\n"):$separator="<br/> ";
			print "$separator";

		}
	}
}
	
	
	function user_menu()
{
		
	if (Page::check_valid_user())	
		include(('./inc/m-menu_user.inc.php'));
	else 
		include('./inc/m-form_login.inc');
	
}
	


	function category_description($category_ID)
{
	$query=<<<HERE
SELECT 	name,introduction
FROM	categories
WHERE	category_ID='$category_ID' AND active='1';
HERE;
	$result = mysql_query($query);
	if (!$result) "DB problem in selecting categories";
	$num_results=mysql_num_rows($result);
	if(!$num_results) return print "Introduction not found";
	else
	{
		$row=mysql_fetch_array($result);
		$name=$this->string2display($row['name']);
		$introduction=$this->string2display($row['introduction']);
		print <<<HERE
		<h1>$name</h1>
		<p>$introduction</p>
HERE;
		$query_many2many=<<<HERE
		SELECT	topics.title, topics.topic_ID
		FROM	topics, categories_topics
		WHERE	categories_topics.category_ID='$category_ID'
		AND		topics.topic_ID=categories_topics.topic_ID
		AND		topics.active='1';
HERE;
	
		$result=mysql_query($query_many2many);
		if (!$result) return print "DB problem in list_content";
		$num_results=mysql_num_rows($result);
		if (!$num_results) print "<hr/>Topics not found<hr/>";
		else 
		{
			print "<b>In this category:</b>";
			for ($i=0; $i<$num_results; $i++)
			{
				$row=mysql_fetch_array($result);
				$topic_ID=$row['topic_ID'];
				$title=$this->string2display($row['title']);
				print "<br/><a  href=\"m-topics.php?topicID=$topic_ID\">$title</a>";
			}
			print "<br/><br/>";

		}
		
	}
	?>
	<a href="m-categories.php" accesskey="#" style="-wap-accesskey:#">[#] Categories</a>
	<?php
}

function topic_description($topic_ID,$page,$page_size)
{
	$query=<<<HERE
SELECT	title,subtitle,description
FROM	topics
WHERE	topic_ID='$topic_ID' AND active='1';
HERE;
	$result = mysql_query($query);
	if (!$result) "DB problem in selecting topics";
	$num_results=mysql_num_rows($result);
	if (!$num_results) return print "Description not found";
	else 
	{
		$row=mysql_fetch_array($result);
		$title=$this->string2display($row['title']);
		$subtitle=$this->string2display($row['subtitle']);
		$description=Base::string2display($row[2]);
		if($page==0) $show_start=0;
		else $show_start=strpos($description,' ',$page*$page_size);
		$show_end=strpos($description,' ',($page+1)*$page_size);
		if($show_end==false) $show_end=strlen($description);

		$description_show=substr($description,$show_start,$show_end-$show_start);
		//$description_show=substr($description,$page*$page_size,$page*$page_size+$page_size-1);
		//if($page_size<strlen($description)) print "ima stranici!";
		$description_show=$this->encode_cyr($description_show);
		$next_page=$page+1;
		if($page>0) $prev_page=$page-1;
		if($show_start==0) print "<h1>$title</h1><h2>$subtitle</h2>";
		else  print <<<HERE
	<b>$title ($next_page)</b><br/>
	<a href='m-topics.php?topicID=$topic_ID&amp;page=0'>&lt;&lt;</a> 
	<a href='m-topics.php?topicID=$topic_ID&amp;page=$prev_page'>&lt;</a>
HERE;
		print "<p>$description_show</p>";
		if($show_end!=strlen($description)) print "<a href='m-topics.php?topicID=$topic_ID&amp;page=$next_page'>></a>";	
		print "<br/>";

	}
}

function print_categories_with_topic($topic_ID)
{
	$query=<<<HERE
SELECT	categories.name, categories.category_ID
FROM	categories, topics, categories_topics
WHERE	topics.topic_ID='$topic_ID'
AND		topics.topic_ID=categories_topics.topic_ID
AND		categories.category_ID=categories_topics.category_ID
AND		categories.active='1';
HERE;
	print "<b>Related categories:</b>";
	$result = mysql_query($query);
	if (!$result) return print "Query problem in print_categories_with_topic";	
	else
	{
		$num_results=mysql_num_rows($result);
		if(!$num_results) return print "Categories not found.";	
		for ($i=0; $i<$num_results;$i++)
		{
			$row=mysql_fetch_array($result);
			$name=$this->string2display($row['name']);
			$category_ID=$row['category_ID'];
			print "<br/><a  href=\"m-categories.php?id=$category_ID\">$name</a>";
		}
		print "<br/>";
	}
}

function show_quiz_reports($user_ID)
{
	$query=<<<HERE
SELECT
	results.*, categories.name
FROM
	results,categories
WHERE
	results.user_ID='$user_ID'
	AND categories.category_ID=results.category_ID
	AND categories.active='1';
HERE;
	$result = mysql_query($query);
	if (!$result) return print "Query problem show_quiz_reports";
	$num_results=mysql_num_rows($result);
	for ($i=0; $i<$num_results;$i++)
	{
		$row=mysql_fetch_array($result);
		$category_ID=$row['category_ID'];
		$taken_tests_array[$category_ID]=$row;
	}
print "<h3>Quiz Results</h3>";
	$query=<<<HERE
SELECT name,category_ID
FROM categories
WHERE active='1';
HERE;
	$result = mysql_query($query);
	if (!$result) return print "Query problem show_quiz_reports";
	$num_results=mysql_num_rows($result);
	for ($i=0; $i<$num_results;$i++)
	{
		$row=mysql_fetch_array($result);
		$category_ID=$row['category_ID'];
		$name=$this->string2display($row['name']);
		print "$name -";
		if(isset($taken_tests_array[$category_ID]))
		{
			$num_correct=$taken_tests_array[$category_ID]['num_correct'];
			$num_answers=$taken_tests_array[$category_ID]['num_answers'];
			$percent=round(100*$num_correct/$num_answers,2);
			print <<<HERE
				<a href="m-quiz_reports.php?id=$category_ID">$percent%</a><br/>
HERE;
		}
		else
			print "not taken<br/>";

	}

}

function show_quiz_report_detail($category_ID,$user_ID)
{
	$query=<<<HERE
SELECT
	results.*, categories.name
FROM
	results,categories
WHERE
	results.user_ID='$user_ID'
	AND results.category_ID='$category_ID'
	AND categories.category_ID=results.category_ID
	AND categories.active='1';
HERE;
	$result = mysql_query($query);
	if (!$result) return print "Query problem show_quiz_report_detail";
	$row=mysql_fetch_array($result);
	$name=$this->string2display($row['name']);
	$quiz_date=$this->string2display($row['quiz_date']);
	$num_correct=$this->string2display($row['num_correct']);
	$num_answers=$this->string2display($row['num_answers']);
	$percent=round(100*$num_correct/$num_answers,2);
	$report=$this->string2display($row['report']);
	print<<<HERE
	<h3>$name - Quiz Report</h3>
	<table border="1">
   		 <tr>
    		 <th colspan="2">
      			 Quiz Report
     		</th>
  		</tr>
		<tr>
			<td>Date:</td>
			<td>$quiz_date</td>
		</tr>
		<tr>
			<td>Correct questions:</td>
			<td>$num_correct</td>
		</tr>
		<tr>
			<td>All Questions</td>
			<td>$num_answers</td>
		</tr>
		<tr>
			<td>Result</td>
			<td>$percent%</td>
		</tr>
	</table>
	
HERE;
	?>
	<a href="m-quiz_reports.php" accesskey="#" style="-wap-accesskey:#">[#] Quiz Results</a>
	<?php
}
	
}
?>