-- phpMyAdmin SQL Dump
-- version 2.9.1.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Oct 12, 2007 at 09:54 AM
-- Server version: 5.0.24
-- PHP Version: 5.2.0RC5-dev
-- 
-- Database: `comgate`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `answers`
-- 

CREATE TABLE `answers` (
  `answer_ID` int(5) unsigned NOT NULL auto_increment,
  `question_ID` int(5) NOT NULL default '0',
  `answer_text` mediumtext,
  `is_correct` tinyint(1) default NULL,
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`answer_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

-- 
-- Dumping data for table `answers`
-- 

INSERT INTO `answers` (`answer_ID`, `question_ID`, `answer_text`, `is_correct`, `active`) VALUES 
(1, 1, '2 Mbps', 0, 1),
(2, 1, '10 Mbps', 0, 1),
(3, 1, '11 Mbps', 1, 1),
(4, 1, '54 Mbps', 0, 1),
(5, 2, '2', 0, 1),
(6, 2, '3', 0, 1),
(7, 2, '4', 1, 1),
(8, 2, '7', 0, 1),
(9, 3, 'dial Corporate 172.16.15.5', 0, 1),
(10, 3, 'telnet 172.16.15.5', 1, 1),
(11, 3, 'telnet Corporate', 0, 1),
(12, 3, 'line 172.16.15.5', 0, 1),
(13, 4, 'Metropolitan Area Network', 1, 1),
(14, 4, 'Middlesized Area Network', 0, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `categories`
-- 

CREATE TABLE `categories` (
  `category_ID` int(5) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `introduction` mediumtext,
  `quiz_update_date` datetime default '0000-00-00 00:00:00',
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`category_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `categories`
-- 

INSERT INTO `categories` (`category_ID`, `name`, `introduction`, `quiz_update_date`, `active`) VALUES 
(1, 'Network Terminology', '<p>Following are descriptions of important networking terms.</p>\r\n<div lang="en" class="section">\r\n<div class="titlepage">\r\n<div>\r\n<div>\r\n<table width="100%" cellspacing="1" cellpadding="0" border="0">\r\n    <tbody>\r\n        <tr>\r\n            <td valign="top" align="left"><a name="d0e5996"></a>\r\n            <h3 class="bold"><span class="levelc">Nodes</span></h3>\r\n            </td>\r\n        </tr>\r\n        <tr class="decoration">\r\n            <td class="theme"><img width="1" height="4" alt="" src="http://docs.hp.com/img/s.gif" /></td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n</div>\r\n</div>\r\n</div>\r\n<p>A <em class="firstterm-docmaker">node</em> is a computer on the network. <em class="firstterm-docmaker">Local node</em> (or host) refers to the computer or host to which your terminal is physically attached. A <em class="firstterm-docmaker">remote node</em> is a computer on the network with which your local node can communicate. A remote node does not have to be directly attached to your terminal.</p>\r\n</div>\r\n<div lang="en" class="section">\r\n<div class="titlepage">\r\n<div>\r\n<div>\r\n<table width="100%" cellspacing="1" cellpadding="0" border="0">\r\n    <tbody>\r\n        <tr>\r\n            <td valign="top" align="left"><a name="d0e6010"></a>\r\n            <h3 class="bold"><span class="levelc">Routes and Protocols</span></h3>\r\n            </td>\r\n        </tr>\r\n        <tr class="decoration">\r\n            <td class="theme"><img width="1" height="4" alt="" src="http://docs.hp.com/img/s.gif" /></td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n</div>\r\n</div>\r\n</div>\r\n<p>A<em class="firstterm-docmaker"> route</em> is the sequence of network nodes through which messages travel when sent from a source node to a destination node.</p>\r\n<p>A<em class="firstterm-docmaker"> protocol</em> is a set of rules for a particular communication task. A protocol handler or protocol module is a piece of software that implements a particular protocol.</p>\r\n</div>\r\n<div lang="en" class="section">\r\n<div class="titlepage">\r\n<div>\r\n<div>\r\n<table width="100%" cellspacing="1" cellpadding="0" border="0">\r\n    <tbody>\r\n        <tr>\r\n            <td valign="top" align="left"><a name="d0e6023"></a>\r\n            <h3 class="bold"><span class="levelc">Network Interface Name</span></h3>\r\n            </td>\r\n        </tr>\r\n        <tr class="decoration">\r\n            <td class="theme"><img width="1" height="4" alt="" src="http://docs.hp.com/img/s.gif" /></td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n</div>\r\n</div>\r\n</div>\r\n<p>A<em class="firstterm-docmaker"> network interface</em> is a communication path through which messages can be sent and received. A hardware network interface has a hardware device associated with it, such as an Ethernet, Fibre Channel, ATM, Token Ring, or FDDI card. A software network interface does not include a hardware device, (for example, the<em class="firstterm-docmaker"> loopback</em> interface). An IP address is associated with an interface name. The interface name(s) for a hardware network interface can be found by running the <tt class="computeroutput">lanscan</tt> command and looking at the &quot;Net-Interface Name PPA&quot; field. </p>\r\n<p>For Ethernet cards, you can choose either Ethernet encapsulation by specifying <tt class="computeroutput">lan</tt> when configuring the interface, or IEEE 802.3 encapsulation by specifying <tt class="computeroutput">snap</tt> when configuring the interface.</p>\r\n<p>The interface name may include a colon (:), followed by a number that denotes the logical interface number. The number 0 is the first logical interface number for a card/encapsulation type and is known as the initial interface. The interface name lan0 is equivalent to lan0:0, lan1 is equivalent to lan1:0, and so on. </p>\r\n<p>You must configure the initial interface for a card/encapsulation type before you can configure subsequent interfaces for the same card/encapsulation type. For example, you must configure lan0:0 (or lan0) before you configure lan0:1 and lan0:2. Once you have configured the initial interface, you can configure the subsequent interfaces in any order. Note that the IP addresses assigned to a card may be on the same subnet or on different subnets. See the section &quot;Interfaces,&quot; in Chapter 7 for more information about logical interfaces and interface names.</p>\r\n<p>An initial interface cannot be removed from the system until all subsequent logical interfaces are removed. You can remove subsequent interfaces from the system with the <tt class="computeroutput">ifconfig</tt> command, as in the following example.</p>\r\n<table>\r\n    <tbody>\r\n        <tr>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<br />\r\n<table>\r\n    <tbody>\r\n        <tr>\r\n            <td><img width="1" height="2" alt="" src="http://docs.hp.com/img/s.gif" /></td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<p>The initial interface (for example, lan1) can then be removed from the system with the <tt class="computeroutput">ifconfig</tt> command, as in the following example.</p>\r\n</div>', '2007-09-30 14:53:11', 1),
(2, 'Models', 'The Internet cool suite came from work done by DARPA in the early 1970s. After building the pioneering ARPANET, DARPA started work on a number of other data transmission technologies. In 1972, Robert E. Kahn was hired at the DARPA Information Processing Technology Office, where he worked on both satellite packet networks and ground-based radio packet networks, and recognized the value of being able to communicate across them. In the spring of 1973, Vinton Cerf, the developer of the existing ARPANET Network Control Program (NCP) protocol, joined Kahn to work on open-architecture interconnection models with the goal of designing the next protocol for the ARPANET.<br /><br />By the summer of 1973, Kahn and Cerf had soon worked out a fundamental reformulation, where the differences between network protocols were hidden by using a common internetwork protocol, and instead of the network being responsible for reliability, as in the ARPANET, the hosts became responsible. (Cerf credits Hubert Zimmerman and Louis Pouzin [designer of the CYCLADES network] with important influences on this design.)<br /><br />With the role of the network reduced to the bare minimum, it became possible to join almost any networks together, no matter what their characteristics were, thereby solving Kahn''s initial problem. (One popular saying has it that TCP/IP, the eventual product of Cerf and Kahn''s work, will run over &quot;two tin cans and a string&quot;, and it has in fact been implemented using homing pigeons.) A computer called a gateway (later changed to router to avoid confusion with other types of gateway) is provided with an interface to each network, and forwards packets back and forth between them.<br /><br />The idea was worked out in more detailed form by Cerf''s networking research group at Stanford in the 1973&ndash;74 period. (The early networking work at Xerox PARC, which produced the PARC Universal Packet protocol suite, much of which was contemporaneous, was also a significant technical influence; people moved between the two.)<br /><br />DARPA then contracted with BBN, Stanford, and the University College London to develop operational versions of the protocol on different hardware platforms. Four versions were developed: TCP v1, TCP v2, a split into TCP v3 and IP v3 in the spring of 1978, and then stability with TCP/IP v4 &mdash; the standard protocol still in use on the Internet today.<br /><br />In 1975, a two-network TCP/IP communications test was performed between Stanford and University College London (UCL). In November, 1977, a three-network TCP/IP test was conducted between the U.S., UK, and Norway. Between 1978 and 1983, several other TCP/IP prototypes were developed at multiple research centres. A full switchover to TCP/IP on the ARPANET took place January 1, 1983.[1]<br /><br />In March 1982,[2] the US Department of Defense made TCP/IP the standard for all military computer networking. In 1985, the Internet Architecture Board held a three day workshop on TCP/IP for the computer industry, attended by 250 vendor representatives, helping popularize the protocol and leading to its increasing commercial use.<br /><br />On November 9, 2005 Kahn and Cerf were presented with the Presidential Medal of Freedom for their contribution to American culture.<!-- Kraj na osnovnata tablica -->', '0000-00-00 00:00:00', 1),
(3, 'Ethernet Technology', '<strong>History<br /><br /></strong>As a result of research done at Xerox Corporation in the early 1970s, Ethernet has evolved into the most widely implemented networking protocol today. Fast Ethernet increased speed from 10 to 100 megabits per second (Mbit/s). Gigabit Ethernet was the next iteration, increasing the speed to 1000 Mbit/s. The initial standard for gigabit Ethernet was standardized by the IEEE in June 1998 as IEEE 802.3z. 802.3z is commonly referred to as 1000BASE-X (where -X refers to either -CX, -SX, -LX, or (non-standard) -ZX).<br /><br />IEEE 802.3ab, ratified in 1999, defines gigabit Ethernet transmission over unshielded twisted pair (UTP) category 5, 5e, or 6 cabling and became known as 1000BASE-T. With the ratification of 802.3ab, gigabit ethernet became a desktop technology as organizations could utilize their existing copper cabling infrastructure.<br /><br />Initially, gigabit Ethernet was deployed in high-capacity backbone network links (for instance, on a high-capacity campus network). In 2000, Apple''s Power Mac G4 and PowerBook G4 were the first mass produced personal computers featuring the 1000BASE-T connection. It has since become a built-in feature in many Macintoshes and PCs.<br /><br />Fiber gigabit Ethernet has recently been overtaken by 10 gigabit Ethernet which was ratified by the IEEE in 2002 and provided data rates 10 times greater than that of gigabit Ethernet. Work on copper 10 gigabit Ethernet over twisted pair has just been completed, but as of July 2006, the only currently available adapters for 10 gigabit Ethernet over copper requires specialized cabling using 4-laned InfiniBand connectors and is limited to 15 m.<br />There are four different physical layer standards for gigabit Ethernet using optical fiber, twisted pair cable, or balanced copper cable.<br /><br />The IEEE 802.3z standard includes 1000BASE-SX transmission over multi-mode fiber, 1000BASE-LX transmission over single-mode fiber, and the now obsolete 1000BASE-CX for transmission over balanced copper cabling. These standards use 8B/10B encoding, inflating the line rate by 25%, from 1000 Mbit/s to 1250 Mbit/s. (Note that 8B/10B is an encoding scheme, not a specific code - there exist multiple incompatible implementations; for a specific one, see the standard.) The symbols are then sent using NRZ, as 8B/10B mapping already handles the DC balancing properties of the signal (compare to 1000BASE-T).', '0000-00-00 00:00:00', 1),
(4, 'IP Protocol', 'Internet Protocol version 4 is the fourth iteration of the Internet Protocol (IP) and it is the first version of the protocol to be widely deployed. IPv4 is the dominant network layer protocol on the internet and when ignoring its successor &mdash; IPv6 &mdash; it is the only protocol used on the internet.<br /><br />It is described in IETF RFC 791 (September 1981) which obsoleted RFC 760 (January 1980). The United States Department of Defense also standardized it as MIL-STD-1777.<br /><br />IPv4 is a data-oriented protocol to be used on a packet switched internetwork (e.g., Ethernet). It is a best effort protocol in that it doesn''t guarantee delivery. It doesn''t make any guarantees on the correctness of the data; it may result in duplicated packets and/or packets out-of-order. All of these things are addressed by an upper layer protocol (e.g., TCP, UDP).<br /><br /><strong>Addressing</strong><br /><br />IPv4 uses 32-bit (4-byte) addresses, which limits the address space to 4,294,967,296 possible unique addresses. However, many are reserved for special purposes such as private networks (~18 million addresses) or multicast addresses (~1 million addresses). This reduces the number of addresses that can be allocated as public Internet addresses and as the number of addresses available is consumed, an IPv4 address shortage appears to be inevitable in the long run.<br /><br />This limitation has helped stimulate the push towards IPv6, which is currently in the early stages of deployment and is currently the only contender to replace IPv4.', '0000-00-00 00:00:00', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `categories_topics`
-- 

CREATE TABLE `categories_topics` (
  `categories_topics_ID` int(5) NOT NULL auto_increment,
  `category_ID` int(5) NOT NULL,
  `topic_ID` int(5) NOT NULL,
  PRIMARY KEY  (`categories_topics_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=15 ;

-- 
-- Dumping data for table `categories_topics`
-- 

INSERT INTO `categories_topics` (`categories_topics_ID`, `category_ID`, `topic_ID`) VALUES 
(1, 1, 1),
(2, 1, 2),
(3, 1, 3),
(4, 1, 4),
(5, 2, 5),
(7, 2, 7),
(8, 1, 6),
(9, 2, 6),
(10, 3, 8),
(11, 3, 9),
(12, 3, 10),
(13, 4, 11),
(14, 4, 12);

-- --------------------------------------------------------

-- 
-- Table structure for table `files`
-- 

CREATE TABLE `files` (
  `file_ID` int(4) unsigned NOT NULL auto_increment,
  `extension` varchar(64) collate utf8_unicode_ci NOT NULL,
  `file_text` varchar(256) collate utf8_unicode_ci NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`file_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `files`
-- 

INSERT INTO `files` (`file_ID`, `extension`, `file_text`, `active`) VALUES 
(1, 'pdf', 'TCP/IP State Transition Diagram', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `links`
-- 

CREATE TABLE `links` (
  `link_ID` int(5) NOT NULL auto_increment,
  `topic_ID` int(5) NOT NULL default '0',
  `url` varchar(100) NOT NULL default '',
  `url_text` varchar(100) default NULL,
  `link_text` mediumtext,
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`link_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `links`
-- 

INSERT INTO `links` (`link_ID`, `topic_ID`, `url`, `url_text`, `link_text`, `active`) VALUES 
(1, 1, 'http://www.ieee802.org/11/', 'IEEE LAN Standart', 'IEEE 802.11 Standard interpretations.', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `pictures`
-- 

CREATE TABLE `pictures` (
  `picture_ID` int(5) unsigned NOT NULL auto_increment,
  `picture_text` mediumtext,
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`picture_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `pictures`
-- 

INSERT INTO `pictures` (`picture_ID`, `picture_text`, `active`) VALUES 
(1, 'Diagram LAN', 1),
(2, 'RJ-45 Cables', 1),
(3, 'WAN Implementation', 0),
(4, 'WAN', 1),
(5, 'Wireless network', 1),
(6, 'Gigabit Switch', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `questions`
-- 

CREATE TABLE `questions` (
  `question_ID` int(5) unsigned NOT NULL auto_increment,
  `topic_ID` int(5) NOT NULL default '0',
  `question_text` mediumtext,
  `has_pic` tinyint(1) default NULL,
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`question_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `questions`
-- 

INSERT INTO `questions` (`question_ID`, `topic_ID`, `question_text`, `has_pic`, `active`) VALUES 
(1, 4, 'What is the maximum data rate for 802.11b wireless LANs?', NULL, 1),
(2, 6, 'How many Layers are there in the TCP/IP Model?', NULL, 1),
(3, 3, 'A network administrator located at the East site needs to check the configuration of a switch located at the Corporate site. The show hosts command is entered on the East router but does not produce any output. Which command can be used to gain access to the Corporate LAN switch assuming the switch is assigned the IP address 172.16.15.5/24?', NULL, 1),
(4, 2, 'What is MAN?', NULL, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `results`
-- 

CREATE TABLE `results` (
  `result_ID` int(5) unsigned NOT NULL auto_increment,
  `category_ID` int(5) unsigned NOT NULL default '0',
  `user_ID` int(5) unsigned NOT NULL default '0',
  `quiz_date` datetime default '0000-00-00 00:00:00',
  `num_correct` int(3) unsigned default NULL,
  `num_answers` int(3) unsigned default NULL,
  `report` mediumtext,
  PRIMARY KEY  (`result_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `results`
-- 

INSERT INTO `results` (`result_ID`, `category_ID`, `user_ID`, `quiz_date`, `num_correct`, `num_answers`, `report`) VALUES 
(1, 1, 8, '2007-09-30 15:16:48', 0, 4, '<h2>Wrong answers:</h2><ol>			<br/>\r\n			<li>What is the maximum data rate for 802.11b wireless LANs? (topic <a href="topics.php?catID=1&topicID=4">WLAN</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;2 Mbps</i>\r\n				<li>Correct answer:<b>&nbsp;11 Mbps</b>\r\n			</ul>			<br/>\r\n			<li>How many Layers are there in the TCP/IP Model? (topic <a href="topics.php?catID=1&topicID=6">TCP/IP Model</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;7</i>\r\n				<li>Correct answer:<b>&nbsp;4</b>\r\n			</ul>			<br/>\r\n			<li>A network administrator located at the East site needs to check the configuration of a switch located at the Corporate site. The show hosts command is entered on the East router but does not produce any output. Which command can be used to gain access to the Corporate LAN switch assuming the switch is assigned the IP address 172.16.15.5/24? (topic <a href="topics.php?catID=1&topicID=3">WAN</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;line 172.16.15.5</i>\r\n				<li>Correct answer:<b>&nbsp;telnet 172.16.15.5</b>\r\n			</ul>			<br/>\r\n			<li>What is MAN? (topic <a href="topics.php?catID=1&topicID=2">MAN</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;Middlesized Area Network</i>\r\n				<li>Correct answer:<b>&nbsp;Metropolitan Area Network</b>\r\n			</ul></ol><br/>'),
(2, 1, 1, '2007-10-05 21:22:38', 0, 4, '<h2>Wrong answers:</h2><ol>			<br/>\r\n			<li>What is the maximum data rate for 802.11b wireless LANs? (topic <a href="topics.php?catID=1&topicID=4">WLAN</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;</i>\r\n				<li>Correct answer:<b>&nbsp;11 Mbps</b>\r\n			</ul>			<br/>\r\n			<li>How many Layers are there in the TCP/IP Model? (topic <a href="topics.php?catID=1&topicID=6">TCP/IP Model</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;</i>\r\n				<li>Correct answer:<b>&nbsp;4</b>\r\n			</ul>			<br/>\r\n			<li>A network administrator located at the East site needs to check the configuration of a switch located at the Corporate site. The show hosts command is entered on the East router but does not produce any output. Which command can be used to gain access to the Corporate LAN switch assuming the switch is assigned the IP address 172.16.15.5/24? (topic <a href="topics.php?catID=1&topicID=3">WAN</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;</i>\r\n				<li>Correct answer:<b>&nbsp;telnet 172.16.15.5</b>\r\n			</ul>			<br/>\r\n			<li>What is MAN? (topic <a href="topics.php?catID=1&topicID=2">MAN</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;</i>\r\n				<li>Correct answer:<b>&nbsp;Metropolitan Area Network</b>\r\n			</ul></ol><br/>'),
(3, 2, 1, '2007-10-05 21:07:27', 0, 1, '<h2>Wrong answers:</h2><ol>			<br/>\r\n			<li>How many Layers are there in the TCP/IP Model? (topic <a href="topics.php?catID=2&topicID=6">TCP/IP Model</a>)</li>\r\n				\r\n			\r\n			<ul>\r\n				<li>Your answer:<i>&nbsp;</i>\r\n				<li>Correct answer:<b>&nbsp;4</b>\r\n			</ul></ol><br/>');

-- --------------------------------------------------------

-- 
-- Table structure for table `topics`
-- 

CREATE TABLE `topics` (
  `topic_ID` int(5) NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `subtitle` varchar(100) default NULL,
  `description` mediumtext,
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`topic_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

-- 
-- Dumping data for table `topics`
-- 

INSERT INTO `topics` (`topic_ID`, `title`, `subtitle`, `description`, `active`) VALUES 
(1, 'LAN', 'Local Area Network', 'What Is a LAN? A LAN is a high-speed data network that covers a relatively small geographic area. It typically connects workstations, personal computers, printers, servers, and other devices. LANs offer computer users many advantages, including shared access to devices and applications, file exchange between connected users, and communication between users via electronic mail and other applications. LAN Media-Access Methods Media contention occurs when two or more network devices have data to send at the same time. Because multiple devices cannot talk on the network simultaneously, some type of method must be used to allow one device access to the network media at a time. This is done in two main ways: carrier sense multiple access collision detect (CSMA/CD) and token passing. In networks using CSMA/CD technology such as Ethernet, network devices contend for the network media. When a device has data to send, it first listens to see if any other device is currently using the network. If not, it starts sending its data. After finishing its transmission, it listens again to see if a collision occurred. A collision occurs when two devices send data simultaneously. When a collision happens, each device waits a random length of time before resending its data. In most cases, a collision will not occur again between the two devices. Because of this type of network contention, the busier a network becomes, the more collisions occur. This is why performance of Ethernet degrades rapidly as the number of devices on a single network increases. In token-passing networks such as Token Ring and FDDI, a special network frame called a token is passed around the network from device to device. When a device has data to send, it must wait until it has the token and then sends its data. When the data transmission is complete, the token is released so that other devices may use the network media. The main advantage of token-passing networks is that they are deterministic. In other words, it is easy to calculate the maximum time that will pass before a device has the opportunity to send data.n the days before personal computers, a site might have just one central computer, with users accessing this via&nbsp; over simple low-speed cabling. Networks such as IBM''s SNA&nbsp; leased lines&mdash;hence these were wide area networks.<br /> Networking standards in the home will break away from traditional networking features. New technology is aimed at complete integration of home appliances on a local network. It is envisaged that all computers in a home will be able to share resources and communicate in the near future. It will also allow people to communicate, programme and control household apliances (TV, telephones, washers, cookers etc) as well as heating. <br /><br />Control of 25 appliances up to 500ft apart are envisaged as initial signalling standards. Players include Advanced Power Components (APC using standard telephone sockets), Tut Systems (produced HomeRun plug-in boxes), Compaq, Intel (Anypoint) and home networking kits are to be launched summer 1999 by Microsoft, who plan to make it partfg of Windows 2000). <br /><br />Although referred to as wireless, some of these systems will use the power-point and electrical cabling within a house as the media. The problems that are needed to be overcome are how to seperate the communication signal from the 240V electrical supply (possible using filters) and how to filter out and prevent noise being generated which would make the signalling unstable.', 1),
(2, 'MAN', 'Metropolitan Area Network', '<p>Networks evolved to enable sharing resources and ideas &ndash; and nowhere is the original concept of sharing more present than in Metro-Area Networks. Hot spots are great for the mobile individual, LANs connect a group &ndash; but MANs bring people into a community and assist them with social, educational and career challenges. MANs reach the highlands and islands of Scotland to bring university learning to rural students. MANs bring the Internet to villages in India which aren&rsquo;t even reached by proper infrastructure. In more urban areas, metro networks bring civic groups together &ndash; such as government agencies across a city or county &ndash; and allow the extension of low-cost Internet access to the community. However, there are two substantial barriers to this community network sharing. First, the cost of leasing or installing fiber across a county or Indian plain would be impossible to fund. Second, the right-of-way required for digging trenches would be impossible to secure. Networks evolved to enable sharing resources and ideas &ndash; and nowhere is the original concept of sharing more present than in Metro-Area Networks. Hot spots are great for the mobile individual, LANs connect a group &ndash; but MANs bring people into a community and assist them with social, educational and career challenges. MANs reach the highlands and islands of Scotland to bring university learning to rural students. MANs bring the Internet to villages in India which aren&rsquo;t even reached by proper infrastructure. In more urban areas, metro networks bring civic groups together &ndash; such as government agencies across a city or county &ndash; and allow the extension of low-cost Internet access to the community. However, there are two substantial barriers to this community network sharing. First, the cost of leasing or installing fiber across a county or Indian plain would be impossible to fund. Second, the right-of-way required for digging trenches would be impossible to secure.</p>\r\nA metropolitan area network (MAN) is a network that interconnects users with computer resources in a geographic area or region larger than that covered by even a large local area network&nbsp; but smaller than the area covered by a wide area network (WAN). The term is applied to the interconnection of networks in a city into a single larger network (which may then also offer efficient connection to a wide area network). It is also used to mean the interconnection of several local area networks by bridging them.', 1),
(3, 'WAN', 'Wide Area Network', '<p class="topicnav"> This chapter introduces the various protocols and technologies used in wide-area network (WAN) environments. Topics summarized here include point-to-point links, circuit switching, packet switching, virtual circuits, dialup services, and WAN devices. Chapters in Part III, &quot;WAN Protocols,&quot; address specific technologies in more detail.<br /> </p>\r\n<p> </p>\r\n<a name="1020551"><br /></a>&nbsp;A WAN is a data communications network that covers a relatively broad geographic area and that often uses transmission facilities provided by common carriers, such as telephone companies. WAN technologies generally function at the lower three layers of the OSI reference model: the physical layer, the data link layer, and the network layer. Figure 3-1 illustrates the relationship between the common WAN technologies and the OSI model.<br /><br />&nbsp;A point-to-point link provides a single, pre-established WAN communications path from the customer premises through a carrier network, such as a telephone company, to a remote network. Point-to-point lines are usually leased from a carrier and thus are often called leased lines. For a point-to-point line, the carrier allocates pairs of wire and facility hardware to your line only. These circuits are generally priced based on bandwidth required and distance between the two connected points. Point-to-point links are generally more expensive than shared services such as Frame Relay. Figure 3-2 illustrates a typical point-to-point link through a WAN.<br /><br />&nbsp;Switched circuits allow data connections that can be initiated when needed and terminated when communication is complete. This works much like a normal telephone line works for voice communication. <strong>Integrated Services Digital Network (ISDN)</strong> is a good example of circuit switching. When a router has data for a remote site, the switched circuit is initiated with the circuit number of the remote network. In the case of ISDN circuits, the device actually places a call to the telephone number of the remote ISDN circuit. When the<br />two networks are connected and authenticated, they can transfer data. When the data transmission is complete, the call can be terminated. <em>Figure 3-3</em> illustrates an example of this type of circuit.<br /><br />acket switching is a WAN technology in which users share common carrier resources. Because this allows the carrier to make more efficient use of its infrastructure, the cost to the customer is generally much better than with point-to-point lines. In a packet switching setup, networks have connections into the carrier''s network, and many customers share the carrier''s network. The carrier can then create virtual circuits between customers'' sites by which packets of data are delivered from one to the other through the network. The section of the carrier''s network that is shared is often referred to as a cloud', 1),
(4, 'WLAN', 'Wireless LAN', '<strong>WLAN</strong> is a wireless local area network, which is the linking of two or more computers without using wires. WLAN utilizes spread-spectrum or OFDM (802.11a) modulation technology based on radio waves to enable communication between devices in a limited area, also known as the basic service set. This gives users the mobility to move around within a broad coverage area and still be connected to the network.\r\n<p>For the home user, wireless has become popular due to ease of installation, and location freedom with the gaining popularity of laptops. Public businesses such as coffee shops or malls have begun to offer wireless access to their customers; some are even provided as a free service. Large wireless network projects are being put up in many major cities. <a title="Google" href="http://en.wikipedia.org/wiki/Google">Google</a> is even providing a free service to Mountain View, California and has entered a bid to do the same for San Francisco.New York City has also begun a pilot program to cover all five boroughs of the city with wireless Internet access.</p>', 1),
(5, 'OSI Model', '', 'The Open Systems Interconnection (usually abbreviated to OSI) was an effort to standardize networking that was started in 1982 by the International Organization for Standardization (ISO), along with the ITU-T.<br /><br />Prior to OSI, networking was completely vendor-developed and proprietary, with protocol standards such as SNA, Appletalk, NetWare and DECnet. OSI was an industry effort, attempting to get everyone to agree to common network standards to provide multi-vendor interoperability. It was common for large networks to support multiple network protocol suites, with many devices unable to talk to other devices because of a lack of common protocols between them.<br /><br />The OSI reference model (which actually predates the OSI protocol work, dating to 1977) was the most important advance in the teaching of network concepts. It promoted the idea of a common model of protocol layers, defining interoperability between network devices and software.<br /><br />However, the actual OSI protocol stack that was specified as part of the project was considered by many to be too complicated and to a large extent unimplementable. Taking the &quot;forklift upgrade&quot; approach to networking, it specified eliminating all existing protocols and replacing them with new ones at all layers of the stack. This made implementation difficult, and was resisted by many vendors and users with significant investments in other network technologies. In addition, the OSI protocols were specified by committees filled with differing and sometimes conflicting feature requests, leading to numerous optional features, because so much was optional, many vendors'' implementations simply could not interoperate, negating the whole effort. Even demands by the USA for OSI support on all government purchased hardware did not save the effort.<br /><br />The OSI approach was eventually eclipsed by the Internet''s TCP/IP protocol suite. TCP/IP''s pragmatic approach to computer networking and two independent implementations of simplified protocols made it a practical standard. For example, the definition for OSI''s X.400 e-mail standards took up several large books, while the Internet e-mail (SMTP) definition took only a few dozen pages in RFC-821. It should be noted, however, that over time there have been numerous RFCs which extended the original SMTP definition, so that its complete documentation finally took up several large books as well.<br /><br />Many of the protocols and specifications in the OSI stack are long-gone or have been superseded, such as token-bus media, CLNP packet delivery, FTAM file transfer, and X.400 e-mail. Some still survive, often in significantly simplified forms. The X.500 directory structure still remains with significant usage, mainly because the original unwieldy protocol has been stripped away and effectively replaced with LDAP. IS-IS also continues as a network routing protocol used by larger telecommunications companies, having been adapted for use with the Internet Protocol. Many legacy SONET systems still use TARP (TID Address Resolution Protocol - utilizes CLNP and IS-IS) to translate Target Identifier of a SONET node. Often protocols and specifications in the OSI stack remain in use in legacy systems, unless or until such legacy systems are eventually upgraded, replaced or decomissioned.<br /><br />The collapse of the OSI project in 1996 severely damaged the reputation and legitimacy of the organizations involved, especially ISO. The worst part was that OSI''s backers took too long to recognize and accommodate the dominance of the TCP/IP protocol suite.', 1),
(6, 'TCP/IP Model', 'The Internet Model', 'The IP suite (and corresponding stack) were in use before the OSI model was established and since then the IP stack has been compared with the OSI model numerous times in books and classrooms. Also, OSI layer numbers are generally used for describing the capabilities of network equipment.<br /><br />The two can roughly be related but are not a perfect match. The first striking difference is the layer count. The DoD model for the IP stack uses four or five layers (the link layer might be treated as a single layer or split into a physical layer and a data link layer) and the OSI model uses seven. Strictly comparing names, the two &quot;new&quot; layers are the presentation layer and the session layer. Most comparisons lump these two layers with the OSI application layer and equate to the IP application layer.<br /><br />Much like the IP stack, the OSI model is also not rich enough at the lower layers to capture the true workings of the IP suite. For example, an &quot;internetworking layer&quot; is needed to fit in between the network and transport layers to address where ICMP and IGMP reside. Additionally, a layer between the network and data link layer is needed for ARP and RARP. It also suffers from being designed for simple network setups having only a single data link layer (for example an ADSL user tunneling into a corporate network could have IP over PPTP over IP over PPPoA over the ADSL link)<br /><br />One example of where the OSI model is better used is showing where SSL/TLS fits in. Typically, SSL/TLS is used as a session protocol that is an upper layer protocol for TCP or UDP but is a lower layer protocol for numerous protocols (HTTP, SFTP, etc.) or any application that operates over a stunnel or secure virtual private network.<br /><strong>7&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Application&nbsp;</strong>&nbsp;&nbsp;&nbsp; HTTP, SMTP, SNMP, FTP, Telnet, ECHO, SIP, SSH, NFS, RTSP, XMPP<br /><br /><strong>6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Presentation&nbsp;</strong>&nbsp;&nbsp; XDR, ASN.1, SMB, AFP, NCP<br /><br /><strong>5&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Session&nbsp;</strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ASAP, TLS, SSL, ISO 8327 / CCITT X.225, RPC, NetBIOS, ASP<br /><br /><strong>4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Transport&nbsp;</strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; TCP, UDP, RTP, SCTP, SPX, ATP, IL<br /><br /><strong>3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Network&nbsp;&nbsp;</strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; IP, ICMP, IGMP, IPX, BGP, OSPF, RIP, IGRP, EIGRP, ARP, RARP, X.25<br /><br /><strong>2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Data Link&nbsp;</strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Ethernet, Token ring, HDLC, Frame relay, ISDN, ATM, 802.11 WiFi, FDDI, PPP<br /><strong><br />1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Physical&nbsp;&nbsp;</strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 10BASE-T, 100BASE-T, 1000BASE-T, SONET/SDH, T-carrier/E-carrier, various 802.11 physical layers<br /><br />There are several mnemonics for remembering the order of the layers in the OSI model.', 1),
(7, 'SS7', 'Signaling System 7', '<p><strong>Signaling System #7</strong> (SS7) is a set of telephony signalling protocols which are used to set up the vast majority of the world''s public switched telephone network telephone calls.</p>\r\n<p>It is usually abbreviated to <strong>SS7</strong> though in North America it is often referred to as <strong>CCSS7</strong>, an acronym for &quot;Common Channel Signaling System 7&quot;. In some European countries, specifically the United Kingdom, it is sometimes called <strong>C7</strong> (CCITT number 7) and is also known as <strong>number 7</strong> and <strong>CCIS7</strong>. (ITU-T was formerly known as CCITT.)</p>', 1),
(8, '10 Mbps Ethernet', '', '10Base-T provides Manchester-encoded 10-Mbps bit-serial communication over two unshielded twisted-pair cables. Although the standard was designed to support transmission over common telephone cable, the more typical link configuration is to use two pair of a four-pair Category 3 or 5 cable, terminated at each NIC with an 8-pin RJ-45 connector (the MDI), as shown in Figure 7-15. Because each active pair is configured as a simplex link where transmission is in one direction only, the 10Base-T physical layers can support either half-duplex or full-duplex operation.<br />Although 10Base-T may be considered essentially obsolete in some circles, it is included here because there are still many 10Base-T Ethernet networks, and because full-duplex operation has given 10BaseT an extended life.<br /><br />10Base-T was also the first Ethernet version to include a link integrity test to determine the health of the link. Immediately after powerup, the PMA transmits a normal link pulse (NLP) to tell the NIC at the other end of the link that this NIC wants to establish an active link connection:<br /><br />&bull;If the NIC at the other end of the link is also powered up, it responds with its own NLP.<br /><br />&bull;If the NIC at the other end of the link is not powered up, this NIC continues sending an NLP about once every 16 ms until it receives a response.<br /><br />The link is activated only after both NICs are capable of exchanging valid NLPs.', 1),
(9, 'Fast Ethernet', '100Base-X', '<br />100Base-X was designed to support transmission over either two pairs of Category 5 UTP copper wire or two strands of optical fiber. Although the encoding, decoding, and clock recovery procedures are the same for both media, the signal transmission is different&mdash;electrical pulses in copper and light pulses in optical fiber. The signal transceivers that were included as part of the PMA function in the generic logical model of Figure 7-14 were redefined as the separate physical media-dependent (PMD) sublayers.<br />The 100Base-X encoding procedure is based on the earlier FDDI optical fiber physical media-dependent and FDDI/CDDI copper twisted-pair physical media-dependent signaling standards developed by ISO and ANSI. The 100Base-TX physical media-dependent sublayer (TP-PMD) was implemented with CDDI semiconductor transceivers and RJ-45 connectors; the fiber PMD was implemented with FDDI optical transceivers and the Low Cost Fibre Interface Connector (commonly called the duplex SC connector).<br /><br />The 4B/5B encoding procedure is the same as the encoding procedure used by FDDI, with only minor adaptations to accommodate Ethernet frame control. Each 4-bit data nibble (representing half of a data byte) is mapped into a 5-bit binary code-group that is transmitted bit-serial over the link. The expanded code space provided by the 32 5-bit code-groups allow separate assignment for the following.', 1),
(10, 'Gigabit Ethernet', '', '<strong>Gigabit Ethernet</strong> (GbE or 1 GigE) is a term describing various technologies for transmitting <a title="Ethernet" href="http://en.wikipedia.org/wiki/Ethernet">Ethernet</a> frames at a rate of a <a title="Gigabit per second" href="http://en.wikipedia.org/wiki/Gigabit_per_second">gigabit per second</a>, as defined by the <a title="IEEE 802.3-2005" href="http://en.wikipedia.org/wiki/IEEE_802.3-2005">IEEE 802.3-2005</a> standard. <a title="Duplex (telecommunications)" href="http://en.wikipedia.org/wiki/Duplex_%28telecommunications%29#Half-Duplex">Half duplex</a> gigabit links connected through hubs are allowed by the specification but in the marketplace full duplex with switches is the norm.', 1),
(11, 'Packet Structure', '', '<strong>Header</strong><br />The header consists of 13 fields, of which only 12 are required. The 13th field is optional (red background in table) and aptly named: options. The fields in the header are packed with the most significant byte first (big endian), and for the diagram and discussion, the most significant bits are considered to come first. The most significant bit is numbered 0, so the version field is actually found in the 4 most significant bits of the first byte, for example.<br /><strong>Data</strong><br /><em>Version</em><br />&nbsp;&nbsp;&nbsp; The first header field in an IP packet is the 4-bit version field. For IPv4, this has a value of 4 (hence the name IPv4).<br /><em>Internet Header Length (IHL)</em><br />&nbsp;&nbsp;&nbsp; The second field is a 4-bit Internet Header Length (IHL) telling the number of 32-bit words in the header. Since an IPv4 header may contain a variable number of options, this field specifies the size of the header (this also coincides with the offset to the data). The minimum header size is 20 bytes, so the minimum value for this field is 5 (5&times;4 = 20 bytes). Being a 4-bit field the maximum length is 15 words or 60 bytes.<br /><em>Type of Service (ToS)</em><br />&nbsp;&nbsp;&nbsp; In RFC 791, the following 8 bits were allocated to a Type of Service (ToS) field:<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * bits 0-2: precedence<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * bit 3: 0 = Normal Delay, 1 = Low Delay<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * bit 4: 0 = Normal Throughput, 1 = High Throughput<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * bit 5: 0 = Normal Reliability, 1 = High Reliability<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * bits 6-7: Reserved for future use<br />Identification<br /><em>Flags</em><br />&nbsp;&nbsp;&nbsp; A 3-bit field follows and is used to control or identify fragments. They are (in order, from high order to low order):<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * Reserved, must be zero<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * Don''t Fragment (DF)<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; * More Fragments (MF)<br /><em>Fragment Offset<br /></em>&nbsp;&nbsp;&nbsp; The fragment offset field is 13-bits long and allows a receiver to determine the place of a particular fragment in the original IP datagram, measured in units of 8-byte blocks. This method allows a maximum offset of 65,528 ((2^{13}-1)times8) which would exceed the maximum IP packet length of 65,535 with the header length counted with it. Therefore the 1st bit of the Fragment Offset is mostly unused and is, for an April 1st joke, proposed in RFC 3514 as the &quot;Evil bit&quot; header flag.<br /><em>Time To Live (TTL)</em><br />&nbsp;&nbsp;&nbsp; An 8-bit time to live (TTL) field helps prevent datagrams from persisting (e.g. going in circles) on an internetwork. <br /><em>Protocol</em><br />&nbsp;&nbsp;&nbsp; This field defines the protocol used in the data portion of the IP datagram. The Internet Assigned Numbers Authority maintains a list of Protocol numbers and were originally defined in RFC 790. Common protocols and their decimal values are shown below.<br /><em>Header Checksum</em><br />&nbsp;&nbsp;&nbsp; The 16-bit checksum field is used for error-checking of the header. At each hop, the checksum of the header must be compared to the value of this field. If a header checksum is found to be mismatched, then the packet is discarded. Note that errors in the data field are up to the encapsulated protocol to handle &mdash; indeed, both UDP and TCP have checksum fields.<br /><em>Source address</em><br />&nbsp;&nbsp;&nbsp; An IP address is a group of 4 8-bit octets for a total of 32 bits. The value for this field is determined by taking the binary value of each octet and concatenating them together to make a single 32-bit value.<br /><em>Destination address</em><br />&nbsp;&nbsp;&nbsp; Identical to the source address field but indicates the receiver of the packet.<br /><em>Options</em><br />&nbsp;&nbsp;&nbsp; Additional header fields (called options) may follow the destination address field, but these are not often used.', 1),
(12, 'Reverse Address Resolution', 'Protocol DHCP', 'Unlike the situation outlined for ARP, the case arises when a computer knows its data link layer address but not its IP address. This is a common scenario in private networks and Digital Subscriber Line (DSL) connections when the IP address of the machines are irrelevant. This is usually the case for work stations but not servers.<br /><br />RARP is an obsoleted method for answering this question: This is my hardware address, what is my IP address? RARP was replaced by BOOTP which, in turn, was replaced by Dynamic Host Configuration Protocol (DHCP).<br /><br />In addition to sending the IP address, DHCP can also send the NTP server, DNS servers, and more.', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `topics_files`
-- 

CREATE TABLE `topics_files` (
  `topics_files_ID` int(6) NOT NULL auto_increment,
  `topic_ID` int(5) NOT NULL,
  `file_ID` int(5) NOT NULL,
  PRIMARY KEY  (`topics_files_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `topics_files`
-- 

INSERT INTO `topics_files` (`topics_files_ID`, `topic_ID`, `file_ID`) VALUES 
(1, 6, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `topics_pictures`
-- 

CREATE TABLE `topics_pictures` (
  `topics_pictures_ID` int(6) NOT NULL auto_increment,
  `topic_ID` int(5) NOT NULL,
  `picture_ID` int(5) NOT NULL,
  PRIMARY KEY  (`topics_pictures_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `topics_pictures`
-- 

INSERT INTO `topics_pictures` (`topics_pictures_ID`, `topic_ID`, `picture_ID`) VALUES 
(1, 1, 1),
(2, 1, 2),
(3, 3, 3),
(4, 3, 4),
(5, 4, 5),
(6, 10, 6);

-- --------------------------------------------------------

-- 
-- Table structure for table `users`
-- 

CREATE TABLE `users` (
  `user_ID` int(5) unsigned NOT NULL auto_increment,
  `username` varchar(16) NOT NULL default '',
  `password` varchar(16) NOT NULL default '',
  `email` varchar(100) default NULL,
  `phone` varchar(20) default NULL,
  `names` varchar(100) default NULL,
  `role` int(3) default '0',
  `active` tinyint(1) default '1',
  PRIMARY KEY  (`user_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;

-- 
-- Dumping data for table `users`
-- 

INSERT INTO `users` (`user_ID`, `username`, `password`, `email`, `phone`, `names`, `role`, `active`) VALUES 
(1, 'ooo', '781ea4eb27c2e1e5', 'ooo@ooo.com', '+359898383639', 'ooo', 1, 1),
(2, '000', '77eecc750f0e0c90', '000@000.000', '', '000', 0, 1),
(7, 'test', '378b243e220ca493', 'test@test.com', '', 'test', 0, 1),
(8, 'peter', '3823a5ee1f831626', 'phs@mail.bg', '', 'PHS', 1, 1),
(9, 'classer', '19044f677ef95bce', 'classer@classer.com', '', 'Mr Classer', 0, 1),
(10, 'cls', '7b49a0e422703f7b', 'cls@cls.com', '', 'Classer 2', 0, 1),
(11, 'goshko', '36fcb0c9407a7273', 'goshko@goshko.com', '+35989123', 'Goshko Goshev', 0, 1),
(12, 'gsmtest', '3ebed75d25805bf8', 'gsmtest@gsmtest.com', '+359898400737', 'Gsmtest', 0, 1),
(13, 'gongo', '77be489c699ec625', 'gongo@bongo.com', '+359598912345', 'gongo', 0, 1);
